commit:     a440e23fafdd19f2ddccc8d1d223dc02454cbbc1
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 27 18:53:25 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Feb 27 21:30:05 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a440e23f

dev-python/arrow: Bump to 1.0.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/arrow/Manifest           |  1 +
 dev-python/arrow/arrow-1.0.1.ebuild | 35 +++++++++++++++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/dev-python/arrow/Manifest b/dev-python/arrow/Manifest
index fae756f69c8..65f1fdcdf3f 100644
--- a/dev-python/arrow/Manifest
+++ b/dev-python/arrow/Manifest
@@ -1,2 +1,3 @@
 DIST arrow-0.17.0.tar.gz 97411 BLAKE2B 
d908f9e98b4046aa8afbde992e108106e0cb81d5d37a556ace06585b7d354fa75338e5c4e4263ece0d8d043f29f3909e3c200b2c79c744a4bd13319764667998
 SHA512 
30ab01c66ef1dfb7fb35dc8609ca19039fa3e37638ff0df681d0ffc9dbc832e9d3a577d9a45fc70ff3e74aacb6198b37e61ada22854572c57c27d7ecbef09caa
 DIST arrow-1.0.0.tar.gz 101951 BLAKE2B 
b8949dc2274f44020bd70e1013b3b3053789319daae0c630e17d2bac66d614e958b2d34ed9b06a1a5502a21684de10e053d4f1e70bfaf9a630548135d72f364f
 SHA512 
4e487a0c1c6f55361b8ec673082d61efec1b27a32b19e2e599a344407737e5eea47ee8e2173b2f089e69a5638f99022870bb3ac57f31c16d5b4efd2858933fa8
+DIST arrow-1.0.1.tar.gz 102243 BLAKE2B 
bad601878bf692858db56967b456fa0c413faebcaaeee352ffe40933cfd915dca8dbbcc2ce4e4f37e03b393acdbfc94d49b8825664a9d1e246ae91a350e9cfcd
 SHA512 
5500df4af6ac8c2858dc98a427a4b81d51d08a4bb44841ef03bbb3a57c9c9004a306e5d627a5202d5b7498dfb71c3602c1ec265666958a94b95861c901ecd79a

diff --git a/dev-python/arrow/arrow-1.0.1.ebuild 
b/dev-python/arrow/arrow-1.0.1.ebuild
new file mode 100644
index 00000000000..81e5cb7ef66
--- /dev/null
+++ b/dev-python/arrow/arrow-1.0.1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Better dates and times for Python"
+HOMEPAGE="https://github.com/arrow-py/arrow/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+       >=dev-python/python-dateutil-2.7.0[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               dev-python/typing-extensions[${PYTHON_USEDEP}]
+       ' python3_7)"
+
+BDEPEND="
+       test? (
+               dev-python/pytest-mock[${PYTHON_USEDEP}]
+               dev-python/pytz[${PYTHON_USEDEP}]
+               dev-python/simplejson[${PYTHON_USEDEP}]
+       )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       sed -i -e '/addopts/d' tox.ini || die
+       distutils-r1_src_prepare
+}

Reply via email to